Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
Retrieve a workspace
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces/{workspace_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces/{workspace_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "22f5381aa25e89b73785ca34",
  "organization_id": "155f78b81155f8ab327ef274",
  "name": "SDI04-001.org.terravex.net",
  "related_environment": "1437d381972ce53252aabe72f053af7c",
  "operating_system": "Microsoft Windows Server 2022 Standard 21H2",
  "serial_number": "40a70e53327456131ae3321135531ae87f655cbeab27f01134c7ef366a7f2402",
  "ip_address": "172.30.113.115",
  "os_update_num_pending": 5,
  "reporting_group_id": "65f83219942714fc24f01435",
  "flxmid": "50a70e53327456131ae5921135531ae87f639cbe5b27f09034c7ef366a7f2402",
  "os_update_num_days_since_last": 183,
  "total_ram": 8191,
  "altitude": 0,
  "antivirus": "Windows Defender",
  "antivirus_status": "installed_working",
  "bios_manufacturer": "VMware, Inc.",
  "bios_mode": "UEFI",
  "bios_version": "P79 Ver. 6.00",
  "bios_smbversion": "2.7",
  "bios_serialnumber": "VMware-42 06 fd 7c 3a f4 af 1c-97 07 56 e2 07 67 d7 23",
  "base_board_manufacturer": "Intel Corporation",
  "base_board_product": "440BX Desktop Reference Platform",
  "base_board_version": "A30",
  "broker": "citrix_on-premises",
  "public_ip_city": "Barcelona",
  "flexxagent_version": "25.9.1.0",
  "compliance_result": "not_evaluated",
  "compliance_last_execution": "2025-06-12T06:13:17.17Z",
  "domain_name": "org.terravex.net",
  "public_ip_country": "ES",
  "cores_count": "4",
  "edr_active_detections": false,
  "edr_host_id": "11bbcc1e6e2c440aa8b7522a78a292ad",
  "edr_status": "installed_working",
  "edr_version": "7.05.17706.0",
  "current_subnet": "172.30.213.0/24",
  "default_gateway": "172.30.213.1",
  "device_kind": "virtual",
  "edr": "CrowdStrike",
  "ema_agent_version": "",
  "ema_endpoint_id": "",
  "embedded_controller_version": "255.255",
  "os_fast_startup": false,
  "flexxanalyzer_config": "configured",
  "flexxanalyzer_version": "3.0.2",
  "hypervisor": "vmware_vsphere",
  "ip_version": "IPv4",
  "public_ip_isp": "Cloudflare, Inc.",
  "iot_hub_config_sync_status": "synced",
  "is_amt_supported": false,
  "is_laptop": false,
  "is_physical": false,
  "last_boot_duration": 20,
  "last_restart_time": null,
  "last_time": "2025-06-12T06:13:17.17Z",
  "last_windows_update": "2025-09-18T00:00:00.00Z",
  "last_autorepair": "2025-06-10T10:00:00.00Z",
  "latitude": 0,
  "locale": "English (United States)",
  "longitude": 0,
  "mac_address": "10-52-56-36-21-42",
  "network_interface_type": "unknown",
  "os_build_number": "6.3.20348.4171",
  "os_manufacturer": "Microsoft Corporation",
  "os_version": "10.0.20348.20348",
  "ou": "OU=NonPersistent,OU=Workstations,OU=OPS914,DC=ops914,DC=terravex,DC=net",
  "os_page_file": "C:\\pagefile.sys",
  "os_page_file_space": 512,
  "platform_role": "Desktop",
  "platform_type": "windows",
  "processor": "Intel(R) Xeon(R) Gold 6348 CPU @ 2.60GHz, 4 Core(s), 4 Logical Processors",
  "public_ip": "19.27.129.141",
  "os_reboot_pending": false,
  "secure_boot_state": "On",
  "system_model": "VMware7,1",
  "system_type": "x64-based PC",
  "os_time_zone": "Romance Standard Time",
  "user_name": "Domain\\user001",
  "vm_type": "workspace",
  "windows_type": "server",
  "create_date": "2023-12-18T11:26:11.11Z",
  "last_deregistration_time": "2026-01-19T12:26:25.25Z",
  "encrypted_harddisks": "partial",
  "custom_field_01": "testVal1",
  "custom_field_02": "testVal2",
  "custom_field_03": "4",
  "custom_field_04": "",
  "custom_field_05": "",
  "custom_field_06": "",
  "custom_field_07": "",
  "custom_field_08": "",
  "custom_field_09": "",
  "custom_field_10": "",
  "flexxagent_type": "unified",
  "antivirus_version_number": "4.18.2104.5",
  "related_location": "C08D2228-E80A-4ADA-A75F-03E33E71D119",
  "area": "Development",
  "custom_field_11": "",
  "custom_field_12": "",
  "custom_field_13": "",
  "custom_field_14": "",
  "custom_field_15": "",
  "custom_field_16": "",
  "custom_field_17": "",
  "custom_field_18": "",
  "custom_field_19": "",
  "custom_field_20": "",
  "department": "Department",
  "office": "Office",
  "last_custom_fields_update": "2025-12-24T11:24:51.51Z",
  "workspace_id": "6676aa0c1e9c850250a70e53327456131ae59211aa531ae87f639cbe5b27f09034c7e3366a7f2402",
  "flexxanalyzer_proxy_uri": "",
  "iot_hub_name": "idIot0e33d84fe5761e",
  "flexxagent_status": "stopped",
  "boot_hard_disk_used_percentage": 34,
  "last_connection_time": "2025-06-12T06:13:17.17Z",
  "network_signal": 0,
  "num_alerts": 0,
  "percent_cpu": 17,
  "percent_ram": 0,
  "power_state": "off",
  "sessions_count": 0,
  "used_system_disk_c": 34,
  "wake_on_lan_mac": "10-50-56-56-51-12",
  "wake_on_lan_subnet": "172.30.213.0/24",
  "broker_status": "disconnected",
  "status": "online"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
workspace_id
string
required

Unique identifier for the Workspace

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Workspace details retrieved successfully.

Workspace resource.

id
string
required
Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
organization_id
string | null
Maximum string length: 24
Pattern: ^[0-9a-f]{24}$
name
string | null
operating_system
string | null
serial_number
string | null
ip_address
string | null
os_update_num_pending
number | null
reporting_group_id
string | null
flxmid
string | null
os_update_num_days_since_last
number | null
total_ram
number | null
altitude
number | null
antivirus
string | null
antivirus_status
enum<string> | null

Antivirus status.

Available options:
unknown,
not_installed,
installed_stopped,
installed_working
bios_manufacturer
string | null
bios_mode
string | null
bios_version
string | null
bios_smbversion
string | null
bios_serialnumber
string | null
base_board_manufacturer
string | null
base_board_product
string | null
base_board_version
string | null
broker
enum<string> | null

Type of broker.

Available options:
no_broker_detected,
azure_virtual_desktop,
citrix_on-premises,
citrix_daas,
amazon_workspaces,
vmware_horizon,
parallels_ras,
windows_365,
rdsh,
uds,
unknown
public_ip_city
string | null
flexxagent_version
string | null
compliance_result
enum<string> | null

Compliance result.

Available options:
not_evaluated,
compliant,
not_compliant
compliance_last_execution
string | null
domain_name
string | null
public_ip_country
string | null
cores_count
string | null
edr_active_detections
boolean | null
edr_host_id
string | null
edr_status
enum<string> | null

EDR agent status.

Available options:
unknown,
not_installed,
installed_stopped,
installed_working
edr_version
string | null
current_subnet
string | null
default_gateway
string | null
device_kind
enum<string> | null

Device type (Virtual/Physical).

Available options:
virtual,
physical
edr
string | null
ema_agent_version
string | null
ema_endpoint_id
string | null
embedded_controller_version
string | null
os_fast_startup
boolean | null
flexxanalyzer_config
enum<string> | null

FlexxAnalyzer configuration.

Available options:
not_configured,
disabled_in_workspace,
configured,
installed,
not_compatible
flexxanalyzer_version
string | null
hypervisor
enum<string> | null

Hypervisor type.

Available options:
unknown,
physical,
microsoft_azure,
microsoft_hyper-v,
vmware_vsphere,
amazon_web_services,
nutanix,
citrix_hypervisor,
oracle_cloud,
google_cloud
ip_version
string | null
public_ip_isp
string | null
iot_hub_config_sync_status
enum<string> | null

IoT Hub config sync status.

Available options:
unknown,
does_not_apply,
synced,
unsynced
is_amt_supported
boolean | null
is_laptop
boolean | null
is_physical
boolean | null
last_boot_duration
number | null
last_restart_time
string | null
last_time
string | null
last_windows_update
string | null
last_autorepair
string | null
latitude
number | null
locale
string | null
longitude
number | null
mac_address
string | null
network_interface_type
enum<string> | null

Network interface type.

Available options:
unknown,
ethernet,
wifi,
mobile_network,
other
os_build_number
string | null
os_manufacturer
string | null
os_version
string | null
ou
string | null
os_page_file
string | null
os_page_file_space
number | null
platform_role
string | null
platform_type
enum<string> | null

Platform type.

Available options:
windows,
mac,
android,
linux,
chromebook,
ios,
unknown
processor
string | null
public_ip
string | null
os_reboot_pending
boolean | null
secure_boot_state
string | null
system_model
string | null
system_type
string | null
os_time_zone
string | null
user_name
string | null
vm_type
enum<string> | null

VM type.

Available options:
hidden,
workspace_or_avd_session_host,
desktop_template_definition,
vcc_role,
template_definition_surrogate,
workspace,
server,
vdi_appliance,
application_template_definition,
application_server,
endpoint
windows_type
enum<string> | null

Windows type.

Available options:
unknown,
workstation,
domain controller,
server
create_date
string | null
last_deregistration_time
string | null
encrypted_harddisks
enum<string> | null

Hard disk encryption status.

Available options:
no,
yes,
partial,
n/a
custom_field_01
string | null
custom_field_02
string | null
custom_field_03
string | null
custom_field_04
string | null
custom_field_05
string | null
custom_field_06
string | null
custom_field_07
string | null
custom_field_08
string | null
custom_field_09
string | null
custom_field_10
string | null
flexxagent_type
enum<string> | null

FlexxAgent type.

Available options:
unified,
mac,
linux,
universal
antivirus_version_number
string | null
area
string | null
custom_field_11
string | null
custom_field_12
string | null
custom_field_13
string | null
custom_field_14
string | null
custom_field_15
string | null
custom_field_16
string | null
custom_field_17
string | null
custom_field_18
string | null
custom_field_19
string | null
custom_field_20
string | null
department
string | null
office
string | null
last_custom_fields_update
string | null
workspace_id
string | null
Minimum string length: 25
Pattern: ^[0-9a-f]{25,}$
flexxanalyzer_proxy_uri
string | null
iot_hub_name
string | null
flexxagent_status
enum<string> | null

FlexxAgent/VDI client status.

Available options:
unknown,
working,
stopped,
not reporting,
service stopped,
service disabled,
communication error,
other error,
not_installed,
update requested,
updating,
update error
boot_hard_disk_used_percentage
number | null
last_connection_time
string | null
network_signal
number | null
num_alerts
number | null
percent_cpu
number | null

Workspace CPU usage percentage.

percent_ram
number | null
power_state
enum<string> | null

Power state.

Available options:
unmanaged,
unknown,
dev express,
off,
on,
suspended,
turning on,
turning off,
suspending,
resuming,
non-reporting
sessions_count
number | null
used_system_disk_c
number | null
wake_on_lan_mac
string | null
wake_on_lan_subnet
string | null
broker_status
enum<string> | null

Broker status.

Available options:
warning,
other,
preparing_session,
connected,
active,
disconnected,
reconnecting,
non-brokered session,
error,
unmanaged,
unknown,
unavailable,
off,
on,
suspended,
turning on,
turning off,
suspending,
resuming,
not reporting,
unregistered,
available,
in use,
maintenance or drain mode
status
enum<string> | null

Workspace connectivity status.

Available options:
online,
offline